model_list:
  - model_name: local/qwen3-coder
    litellm_params:
      model: openai/qwen3-coder:30b-a3b-q4_K_M
      api_base: http://host.docker.internal:11434/v1
      api_key: "fake"

  # ── OpenRouter models ─────────────────────────────────────────────
  - model_name: openrouter/anthropic/claude-sonnet
    litellm_params:
      model: openrouter/anthropic/claude-sonnet-4-20250514
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/anthropic/claude-opus-4
    litellm_params:
      model: openrouter/anthropic/claude-opus-4
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/anthropic/claude-sonnet-4.6
    litellm_params:
      model: openrouter/anthropic/claude-sonnet-4.6
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/anthropic/claude-opus-4.6
    litellm_params:
      model: openrouter/anthropic/claude-opus-4.6
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/anthropic/claude-haiku-4.5
    litellm_params:
      model: openrouter/anthropic/claude-haiku-4.5
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/google/gemini-3-flash-preview
    litellm_params:
      model: openrouter/google/gemini-3-flash-preview
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/openai/gpt-5.2
    litellm_params:
      model: openrouter/openai/gpt-5.2
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/openai/o3
    litellm_params:
      model: openrouter/openai/o3
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/google/gemini-3.1-pro-preview
    litellm_params:
      model: openrouter/google/gemini-3.1-pro-preview
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/openai/gpt-4o
    litellm_params:
      model: openrouter/openai/gpt-4o
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/openai/gpt-5
    litellm_params:
      model: openrouter/openai/gpt-5
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/openai/o4-mini
    litellm_params:
      model: openrouter/openai/o4-mini
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/google/gemini-2.5-pro
    litellm_params:
      model: openrouter/google/gemini-2.5-pro-preview
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/google/gemini-2.5-flash
    litellm_params:
      model: openrouter/google/gemini-2.5-flash
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/google/gemma-3-27b
    litellm_params:
      model: openrouter/google/gemma-3-27b-it
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/x-ai/grok-4
    litellm_params:
      model: openrouter/x-ai/grok-4
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/deepseek/deepseek-r1
    litellm_params:
      model: openrouter/deepseek/deepseek-r1-0528
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/deepseek/deepseek-v3
    litellm_params:
      model: openrouter/deepseek/deepseek-v3.2
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/deepseek/deepseek-v3.2-speciale
    litellm_params:
      model: openrouter/deepseek/deepseek-v3.2-speciale
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/deepseek/deepseek-r1-distill-llama-70b
    litellm_params:
      model: openrouter/deepseek/deepseek-r1-distill-llama-70b
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/moonshotai/kimi-k2
    litellm_params:
      model: openrouter/moonshotai/kimi-k2
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/moonshotai/kimi-k2.5
    litellm_params:
      model: openrouter/moonshotai/kimi-k2.5
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/minimax/minimax-m2.5
    litellm_params:
      model: openrouter/minimax/minimax-m2.5
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/qwen/qwen3.5-397b-a17b
    litellm_params:
      model: openrouter/qwen/qwen3.5-397b-a17b
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/qwen/qwen3.5-plus-02-15
    litellm_params:
      model: openrouter/qwen/qwen3.5-plus-02-15
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/qwen/qwen3-max-thinking
    litellm_params:
      model: openrouter/qwen/qwen3-max-thinking
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/bytedance-seed/seed-1.6
    litellm_params:
      model: openrouter/bytedance-seed/seed-1.6
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/nvidia/nemotron-ultra-253b
    litellm_params:
      model: openrouter/nvidia/llama-3.1-nemotron-ultra-253b-v1
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/nvidia/nemotron-nano-30b-a3b
    litellm_params:
      model: openrouter/nvidia/nemotron-3-nano-30b-a3b
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/meta-llama/llama-4-maverick
    litellm_params:
      model: openrouter/meta-llama/llama-4-maverick
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/meta-llama/llama-3.3-70b
    litellm_params:
      model: openrouter/meta-llama/llama-3.3-70b-instruct
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/qwen/qwen3-next-80b-a3b
    litellm_params:
      model: openrouter/qwen/qwen3-next-80b-a3b-instruct
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/qwen/qwen3-coder
    litellm_params:
      model: openrouter/qwen/qwen3-coder
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/qwen/qwen3-coder-next
    litellm_params:
      model: openrouter/qwen/qwen3-coder-next
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/qwen/qwen3-coder-30b-a3b
    litellm_params:
      model: openrouter/qwen/qwen3-coder-30b-a3b-instruct
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/qwen/qwq-32b
    litellm_params:
      model: openrouter/qwen/qwq-32b
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/qwen/qwen3-32b
    litellm_params:
      model: openrouter/qwen/qwen3-32b
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/qwen/qwen2.5-coder-32b
    litellm_params:
      model: openrouter/qwen/qwen-2.5-coder-32b-instruct
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/mistralai/mistral-small-3.2-24b
    litellm_params:
      model: openrouter/mistralai/mistral-small-3.2-24b-instruct
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/mistralai/devstral-small
    litellm_params:
      model: openrouter/mistralai/devstral-small
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/microsoft/phi-4
    litellm_params:
      model: openrouter/microsoft/phi-4
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/z-ai/glm-4.7
    litellm_params:
      model: openrouter/z-ai/glm-4.7
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/z-ai/glm-4.7-flash
    litellm_params:
      model: openrouter/z-ai/glm-4.7-flash
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/openai/text-embedding-3-small
    litellm_params:
      model: openrouter/openai/text-embedding-3-small
      api_key: os.environ/OPENROUTER_API_KEY

  - model_name: openrouter/google/gemini-embedding-001
    litellm_params:
      model: openrouter/google/gemini-embedding-001
      api_key: os.environ/OPENROUTER_API_KEY

  # ── Dilemmadash models (separate OpenRouter billing) ────────────
  - model_name: dilemmadash/anthropic/claude-sonnet
    litellm_params:
      model: openrouter/anthropic/claude-sonnet-4-20250514
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/anthropic/claude-opus-4
    litellm_params:
      model: openrouter/anthropic/claude-opus-4
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/anthropic/claude-sonnet-4.6
    litellm_params:
      model: openrouter/anthropic/claude-sonnet-4.6
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/anthropic/claude-opus-4.6
    litellm_params:
      model: openrouter/anthropic/claude-opus-4.6
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/anthropic/claude-haiku-4.5
    litellm_params:
      model: openrouter/anthropic/claude-haiku-4.5
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/google/gemini-3-flash-preview
    litellm_params:
      model: openrouter/google/gemini-3-flash-preview
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/openai/gpt-5.2
    litellm_params:
      model: openrouter/openai/gpt-5.2
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/openai/o3
    litellm_params:
      model: openrouter/openai/o3
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/google/gemini-3.1-pro-preview
    litellm_params:
      model: openrouter/google/gemini-3.1-pro-preview
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/openai/gpt-4o
    litellm_params:
      model: openrouter/openai/gpt-4o
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/openai/gpt-5
    litellm_params:
      model: openrouter/openai/gpt-5
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/openai/o4-mini
    litellm_params:
      model: openrouter/openai/o4-mini
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/google/gemini-2.5-pro
    litellm_params:
      model: openrouter/google/gemini-2.5-pro-preview
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/google/gemini-2.5-flash
    litellm_params:
      model: openrouter/google/gemini-2.5-flash
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/google/gemma-3-27b
    litellm_params:
      model: openrouter/google/gemma-3-27b-it
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/x-ai/grok-4
    litellm_params:
      model: openrouter/x-ai/grok-4
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/deepseek/deepseek-r1
    litellm_params:
      model: openrouter/deepseek/deepseek-r1-0528
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/deepseek/deepseek-v3
    litellm_params:
      model: openrouter/deepseek/deepseek-v3.2
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/deepseek/deepseek-v3.2-speciale
    litellm_params:
      model: openrouter/deepseek/deepseek-v3.2-speciale
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/deepseek/deepseek-r1-distill-llama-70b
    litellm_params:
      model: openrouter/deepseek/deepseek-r1-distill-llama-70b
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/moonshotai/kimi-k2
    litellm_params:
      model: openrouter/moonshotai/kimi-k2
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/moonshotai/kimi-k2.5
    litellm_params:
      model: openrouter/moonshotai/kimi-k2.5
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/minimax/minimax-m2.5
    litellm_params:
      model: openrouter/minimax/minimax-m2.5
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/qwen/qwen3.5-397b-a17b
    litellm_params:
      model: openrouter/qwen/qwen3.5-397b-a17b
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/qwen/qwen3.5-plus-02-15
    litellm_params:
      model: openrouter/qwen/qwen3.5-plus-02-15
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/qwen/qwen3-max-thinking
    litellm_params:
      model: openrouter/qwen/qwen3-max-thinking
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/bytedance-seed/seed-1.6
    litellm_params:
      model: openrouter/bytedance-seed/seed-1.6
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/nvidia/nemotron-ultra-253b
    litellm_params:
      model: openrouter/nvidia/llama-3.1-nemotron-ultra-253b-v1
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/nvidia/nemotron-nano-30b-a3b
    litellm_params:
      model: openrouter/nvidia/nemotron-3-nano-30b-a3b
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/meta-llama/llama-4-maverick
    litellm_params:
      model: openrouter/meta-llama/llama-4-maverick
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/meta-llama/llama-3.3-70b
    litellm_params:
      model: openrouter/meta-llama/llama-3.3-70b-instruct
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/qwen/qwen3-next-80b-a3b
    litellm_params:
      model: openrouter/qwen/qwen3-next-80b-a3b-instruct
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/qwen/qwen3-coder
    litellm_params:
      model: openrouter/qwen/qwen3-coder
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/qwen/qwen3-coder-next
    litellm_params:
      model: openrouter/qwen/qwen3-coder-next
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/qwen/qwen3-coder-30b-a3b
    litellm_params:
      model: openrouter/qwen/qwen3-coder-30b-a3b-instruct
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/qwen/qwq-32b
    litellm_params:
      model: openrouter/qwen/qwq-32b
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/qwen/qwen3-32b
    litellm_params:
      model: openrouter/qwen/qwen3-32b
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/qwen/qwen2.5-coder-32b
    litellm_params:
      model: openrouter/qwen/qwen-2.5-coder-32b-instruct
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/mistralai/mistral-small-3.2-24b
    litellm_params:
      model: openrouter/mistralai/mistral-small-3.2-24b-instruct
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/mistralai/devstral-small
    litellm_params:
      model: openrouter/mistralai/devstral-small
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/microsoft/phi-4
    litellm_params:
      model: openrouter/microsoft/phi-4
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/z-ai/glm-4.7
    litellm_params:
      model: openrouter/z-ai/glm-4.7
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/z-ai/glm-4.7-flash
    litellm_params:
      model: openrouter/z-ai/glm-4.7-flash
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/openai/text-embedding-3-small
    litellm_params:
      model: openrouter/openai/text-embedding-3-small
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

  - model_name: dilemmadash/google/gemini-embedding-001
    litellm_params:
      model: openrouter/google/gemini-embedding-001
      api_key: os.environ/DILEMMA_DASH_OPENROUTER_API_KEY

litellm_settings:
  success_callback: ["langfuse"]
  failure_callback: ["langfuse"]
  drop_params: true
  request_timeout: 600
  default_team_settings:
    - team_id: "dilemma-dash"
      success_callback: ["langfuse"]
      failure_callback: ["langfuse"]
      langfuse_public_key: os.environ/DILEMMA_DASH_LANGFUSE_PUBLIC_KEY
      langfuse_secret: os.environ/DILEMMA_DASH_LANGFUSE_SECRET_KEY
      langfuse_host: http://langfuse-web:3000
    - team_id: "dilemmadash"
      success_callback: ["langfuse"]
      failure_callback: ["langfuse"]
      langfuse_public_key: os.environ/DILEMMA_DASH_LANGFUSE_PUBLIC_KEY
      langfuse_secret: os.environ/DILEMMA_DASH_LANGFUSE_SECRET_KEY
      langfuse_host: http://langfuse-web:3000

general_settings: {}
